at.chipkarte.client.fus.soap

## Interface IFusService

-     public interface IFusService

  Dieses Service stellt die Funktionalitäten des Formularübermittlungsservice (FUS) Version 6 zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Formularreferenz[]` | `eigeneFormulareAbfragen(String dialogId, String svNummer, String vorname, String zuname, String formularKennung, String formulartyp, String verordnungstyp, String formularstatus, String anlagenstatus, String erstelldatumVon, String erstelldatumBis, Boolean nurKorrigierbare)` Entsprechend den angegebenen Suchkriterien werden aus der Datenbank die Metainformationen zu den erstellten Formularen, nach Behandlungsdatum der gebundenen Konsultation sortiert, retourniert.
    `Formular` | `ekvFormularErfassen(String dialogId, EkvErstformular ekvErstformular)` Dient zur Erfassung von EKV-Formulardaten durch den Vertragspartner inklusive Anlagen.
    `Formular` | `formularAbfragen(String dialogId, String formularCodePrefix)` Zu dem gewählten Formular werden aus der Datenbank die Detailinformationen (insbes. die medizinischen Formulardaten) inklusive der Dateiinformationen zu hinzugefügten Anlagen aus der Datenbank geladen und retourniert.
    `Formular` | `formularErfassen(String dialogId, String cardToken, Erstformular erstformular)` Dient zur Erfassung von Zahnbehandler-Formulardaten durch den Vertragspartner inklusive Anlagen.
    `Formularinfo[]` | `formularinfoErmitteln(String dialogId, String formulartyp)` Ermittelt zu einem bestimmten Formular die Information, ob das Formular die Angabe von Anlagen zulässt.
    `FormularstammdatenErmittelnErgebnis` | `formularstammdatenErmitteln(String dialogId, String cardToken, String svNummer, String formulartyp)` Die Patientendaten werden anhand der SV-Nummer bzw. des Cardtokens ermittelt.
    `Formular` | `korrekturSenden(String dialogId, Korrekturformular korrekturformular, String formularCodePrefix)` Zu einem existierenden, bereits im eCard-System gespeicherten Formular, kann eine Korrektur auf eine der folgenden Arten erstellt werden, wenn der Zeitraum zum Erstellen von Korrekturen noch nicht überschritten ist.
    `String[]` | `relevanteWpFachgebieteErmitteln(String dialogId)` Dient zur Ermittlung der relevanten Wahlbehandlerfachgebiete für die Erfassung von Formulardaten durch den Wahlbehandler.
    `Formular` | `voFormularErfassen(String dialogId, String cardToken, VoErstformular voErstformular)` Dient zur Erfassung von VO-Formulardaten durch den Vertragspartner inklusive Anlagen.
    `VoFormularerfassungPruefenErgebnis` | `voFormularerfassungPruefen(String dialogId, String cardToken, String svNummer, String kvt, String verordnungstyp)` Die Patientendaten und der KVT werden ermittelt.
    `Verordnungstyp[]` | `voTypenAbfragen(String dialogId, boolean erfassbar, Boolean rechteVorhanden)` Dient zur Ermittlung der Verordnungstypen für die Erfassung von VO Formulardaten.
    `Formular` | `wpFormularErfassen(String dialogId, String cardToken, WpErstformular wpErstformular)` Dient zur Erfassung von Zahnbehandler-Formulardaten durch den Wahlbehandler inklusive Anlagen.
    `SvPersonV2` | `wpFormularerfassungPruefen(String dialogId, String cardToken, String svNummer, String formulartyp, String fachgebietscode, String behandlungsdatum, String kvt)` Die Patientendaten werden ermittelt.

- - ### Method Detail

    - #### formularstammdatenErmitteln

          FormularstammdatenErmittelnErgebnis formularstammdatenErmitteln(String dialogId,
                                                                          String cardToken,
                                                                          String svNummer,
                                                                          String formulartyp)
                                                                   throws FusInvalidParameterException,
                                                                          FusException,
                                                                          AccessException,
                                                                          DialogException,
                                                                          ServiceException

      Die Patientendaten werden anhand der SV-Nummer bzw. des Cardtokens ermittelt. Anhand der Patientendaten, dem Formulartyp und den bekannten Vertragspartnerdaten werden aus dem eCard-System Konsultationen geladen, die laut dem FUS-Regelwerk für eine Zuordnung zu dem gewählten Formulartyp in Frage kommen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `FUS_CORE` und `FUS_VP`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `formulartyp` - Gibt den Typ des Formulars an, das erfasst werden soll.
        Mögliche Werte: siehe `FormulartypConstants`. Es sind nur die Werte BIB, RIB, AIB, BKI, RKB und AKB gültig.
        Angabe: Muss.
      Returns:
        Ergebnis der positiv durchgeführten Abfrage der Formularstammdaten, siehe `FormularstammdatenErmittelnErgebnis`.
      Throws:
        `FusInvalidParameterException` - `SV_NUMMER_OR_ECARD_REQUIRED`, `FORMULARTYP_REQUIRED`, `FORMULARTYP_INVALID`, `SV_NUMMER_INVALID`
        `FusException` - `SV_NUMMER_INVALID`, `NO_KONSULTATION_FOUND`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_VP`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### wpFormularerfassungPruefen

          SvPersonV2 wpFormularerfassungPruefen(String dialogId,
                                                String cardToken,
                                                String svNummer,
                                                String formulartyp,
                                                String fachgebietscode,
                                                String behandlungsdatum,
                                                String kvt)
                                         throws FusInvalidParameterException,
                                                FusException,
                                                AccessException,
                                                DialogException,
                                                ServiceException

      Die Patientendaten werden ermittelt. Anhand der Eingangsdaten wird überprüft, ob laut dem FUS-Regelwerk eine Formularerfassung möglich ist.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `FUS_CORE` und `FUS_WP`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `formulartyp` - Gibt den Typ des Formulars an.
        Mögliche Werte: siehe `FormulartypConstants`. Es sind nur die Werte BIB, RIB, AIB, BKI, RKB und AKB gültig.
        Angabe: Muss.
        `fachgebietscode` - Codewert des Fachgebietes.
        Mögliche Werte: siehe `relevanteWpFachgebieteErmitteln`.
        Angabe: Muss.
        `behandlungsdatum` - Behandlungsdatum.
        Angabe: Muss.
        Format: TT.MM.JJJJ
        Wertebereich: Darf nicht vor dem 01.07.2015 liegen.
        `kvt` - KV-Träger.
        Mögliche Werte: siehe `getSVTs`.
        Angabe: Muss.
      Returns:
        Die ermittelten Patientendaten.
      Throws:
        `FusInvalidParameterException` - `SV_NUMMER_OR_ECARD_REQUIRED`, `FORMULARTYP_REQUIRED`, `FORMULARTYP_INVALID`, `FACHGEBIET_REQUIRED`, `FACHGEBIET_INVALID`, `BEHANDLUNGSDATUM_REQUIRED`, `BEHANDLUNGSDATUM_WRONG_FORMAT`, `BEHANDLUNGSDATUM_INVALID`, `KVT_REQUIRED`, `KVT_INVALID`, `SV_NUMMER_INVALID`
        `FusException` - `SV_NUMMER_INVALID`, `KVT_INVALID`, `NO_ANSPRUCH_FOUND`, `KURATIVER_VERTRAG_FOUND_FOR_VPNR`, `VPNR_WITH_FACHGEBIET_WITH_FORMULARTYP_INVALID`, `TREATMENT_DATE_TO_OLD`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_WP`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### formularErfassen

          Formular formularErfassen(String dialogId,
                                    String cardToken,
                                    Erstformular erstformular)
                             throws FusInvalidParameterException,
                                    FusException,
                                    AccessException,
                                    DialogException,
                                    ServiceException

      Dient zur Erfassung von Zahnbehandler-Formulardaten durch den Vertragspartner inklusive Anlagen. Die Anlagen selbst müssen über ATS gesendet werden.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE` und `FUS_VP`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt. Es muss entweder in `erstformular` eine `svNummer` oder in der Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `erstformular` - Beinhaltet die Eingangsdaten zur Erfassung eines Zahnbehandler-Formulars durch den Vertragspartner, siehe `Erstformular`.
        Angabe: Muss.
      Returns:
        Das erfasste Formular, siehe `Formular`.
      Throws:
        `FusInvalidParameterException` - `SV_NUMMER_OR_ECARD_REQUIRED`, `KONSULTATION_INVALID`, `FORMULAR_SPECIFIC_DATA_WITH_FORMULARTYP_INCONSISTENT`, `ANLAGEN_OR_METADATEN_FORBIDDEN`, `ERSTFORMULAR_REQUIRED`, `KONSULTATION_ID_REQUIRED`, `KONSULTATION_ID_WRONG_FORMAT`, `KONSULTATION_VERSION_REQUIRED`, `KONSULTATION_VERSION_WRONG_FORMAT`, `FORMULARTYP_REQUIRED`, `FORMULARTYP_INVALID`, `SV_NUMMER_INVALID` `BIB_IOTN_BIB_REQUIRED`, `BIB_IOTN_BIB_INVALID`, `BIB_LOKALISATION_FEHLBILDUNG_INVALID`, `BIB_LOKALISATION_FEHLBILDUNG_INVALID2`, `BIB_INDIKATION_REQUIRED`, `BIB_INDIKATION_INVALID`, `BIB_INDIKATION_INVALID2`, `BIB_BEHANDLUNGSPLAN_REQUIRED`, `BIB_BEHANDLUNGSPLAN_WRONG_FORMAT`, `BIB_ERFOLGSANNAHME_REQUIRED`, `BIB_ERFOLGSANNAHME_WRONG_FORMAT`, `BIB_EINGLIEDERUNG_WRONG_FORMAT`, `BIB_EINGLIEDERUNG_INVALID`, `BIB_BEFUNDDATUM_REQUIRED`, `BIB_BEFUNDDATUM_WRONG_FORMAT`, `BIB_BEFUNDDATUM_INVALID`, `BKI_IOTN_BKI_REQUIRED`, `BKI_IOTN_BKI_INVALID`, `BKI_LOKALISATION_FEHLBILDUNG_INVALID`, `BKI_LOKALISATION_FEHLBILDUNG_INVALID2`, `BKI_MED_ANGABE_WRONG_FORMAT`, `BKI_EINGLIEDERUNG_WRONG_FORMAT`, `BKI_EINGLIEDERUNG_INVALID`, `BKI_BEFUNDDATUM_REQUIRED`, `BKI_BEFUNDDATUM_WRONG_FORMAT`, `BKI_BEFUNDDATUM_INVALID`, `RIB_GRUND_REQUIRED`, `RIB_GRUND_WRONG_FORMAT`, `RKB_GRUND_REQUIRED`, `RKB_GRUND_WRONG_FORMAT`, `AIB_BEHANDLUNGSENDE_REQUIRED`, `AIB_BEHANDLUNGSENDE_WRONG_FORMAT`, `AIB_BEHANDLUNGSENDE_INVALID`, `AIB_MED_ANGABEN_ENDE_WRONG_FORMAT`, `AKB_BEHANDLUNGSENDE_REQUIRED`, `AKB_BEHANDLUNGSENDE_WRONG_FORMAT`, `AKB_BEHANDLUNGSENDE_INVALID`, `AKB_ENDE_GRUND_WRONG_FORMAT`, `AKB_MED_ANGABEN_FORMAT`, `ATTACHMENTINFO_REQUIRED`, `ATTACHMENTINFO_ANZAHL_DATEIINFO_INVALID`, `ATTACHMENTINFO_DATEIINFO_NAME_NOT_UNIQUE`, `ZIP_ARCHIVE_GESAMTGROESSE_INVALID`, `ANLAGE_DATEIGROESSE_INVALID`, `ATTACHMENTINFO_DATEIINFO_REQUIRED`, `ATTACHMENTINFO_DATEIINFO_NAME_EXTENSION_TYP_REQUIRED`, `ATTACHMENTINFO_DATEINAME_INVALID`, `ATTACHMENTINFO_DATEITYP_INVALID`, `ATTACHMENTINFO_ANLAGETYP_INVALID`, `ATTACHMENTINFO_DATEIHASH_INVALID`
        `FusException` - `SV_NUMMER_INVALID`, `NO_KONSULTATION_FOUND`, `INTERNAL_ERROR`, `KONSULTATION_INVALID`,
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_VP`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### wpFormularErfassen

          Formular wpFormularErfassen(String dialogId,
                                      String cardToken,
                                      WpErstformular wpErstformular)
                               throws FusInvalidParameterException,
                                      FusException,
                                      AccessException,
                                      DialogException,
                                      ServiceException

      Dient zur Erfassung von Zahnbehandler-Formulardaten durch den Wahlbehandler inklusive Anlagen. Die Anlagen selbst müssen über ATS gesendet werden.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE` und `FUS_WP`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt. Es muss entweder in `erstformular` eine `svNummer` oder in der Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `wpErstformular` - Beinhaltet die Eingangsdaten zur Erfassung eines Zahnbehandler-Formulars durch den Wahlbehandler, siehe `WpErstformular`.
        Angabe: Muss.
      Returns:
        Das erfasste Formular, siehe `Formular`.
      Throws:
        `FusInvalidParameterException` - `SV_NUMMER_OR_ECARD_REQUIRED`, `FORMULAR_SPECIFIC_DATA_WITH_FORMULARTYP_INCONSISTENT`, `ANLAGEN_OR_METADATEN_FORBIDDEN`, `WPERSTFORMULAR_REQUIRED`, `FORMULARTYP_REQUIRED`, `FORMULARTYP_INVALID`, `FACHGEBIET_REQUIRED`, `FACHGEBIET_INVALID`, `BEHANDLUNGSDATUM_REQUIRED`, `BEHANDLUNGSDATUM_WRONG_FORMAT`, `BEHANDLUNGSDATUM_INVALID`, `KVT_REQUIRED`, `KVT_INVALID`, `SV_NUMMER_INVALID` `BIB_IOTN_BIB_REQUIRED`, `BIB_IOTN_BIB_INVALID`, `BIB_LOKALISATION_FEHLBILDUNG_INVALID`, `BIB_LOKALISATION_FEHLBILDUNG_INVALID2`, `BIB_INDIKATION_REQUIRED`, `BIB_INDIKATION_INVALID`, `BIB_INDIKATION_INVALID2`, `BIB_BEHANDLUNGSPLAN_REQUIRED`, `BIB_BEHANDLUNGSPLAN_WRONG_FORMAT`, `BIB_ERFOLGSANNAHME_REQUIRED`, `BIB_ERFOLGSANNAHME_WRONG_FORMAT`, `BIB_EINGLIEDERUNG_WRONG_FORMAT`, `BIB_EINGLIEDERUNG_INVALID`, `BIB_BEFUNDDATUM_REQUIRED`, `BIB_BEFUNDDATUM_WRONG_FORMAT`, `BIB_BEFUNDDATUM_INVALID`, `BKI_IOTN_BKI_REQUIRED`, `BKI_IOTN_BKI_INVALID`, `BKI_LOKALISATION_FEHLBILDUNG_INVALID`, `BKI_LOKALISATION_FEHLBILDUNG_INVALID2`, `BKI_MED_ANGABE_WRONG_FORMAT`, `BKI_EINGLIEDERUNG_WRONG_FORMAT`, `BKI_EINGLIEDERUNG_INVALID`, `BKI_BEFUNDDATUM_REQUIRED`, `BKI_BEFUNDDATUM_WRONG_FORMAT`, `BKI_BEFUNDDATUM_INVALID`, `RIB_GRUND_REQUIRED`, `RIB_GRUND_WRONG_FORMAT`, `RKB_GRUND_REQUIRED`, `RKB_GRUND_WRONG_FORMAT`, `AIB_BEHANDLUNGSENDE_REQUIRED`, `AIB_BEHANDLUNGSENDE_WRONG_FORMAT`, `AIB_BEHANDLUNGSENDE_INVALID`, `AIB_MED_ANGABEN_ENDE_WRONG_FORMAT`, `AKB_BEHANDLUNGSENDE_REQUIRED`, `AKB_BEHANDLUNGSENDE_WRONG_FORMAT`, `AKB_BEHANDLUNGSENDE_INVALID`, `AKB_ENDE_GRUND_WRONG_FORMAT`, `AKB_MED_ANGABEN_FORMAT`, `ATTACHMENTINFO_REQUIRED`, `ATTACHMENTINFO_ANZAHL_DATEIINFO_INVALID`, `ATTACHMENTINFO_DATEIINFO_NAME_NOT_UNIQUE`, `ZIP_ARCHIVE_GESAMTGROESSE_INVALID`, `ANLAGE_DATEIGROESSE_INVALID`, `ATTACHMENTINFO_DATEIINFO_REQUIRED`, `ATTACHMENTINFO_DATEIINFO_NAME_EXTENSION_TYP_REQUIRED`, `ATTACHMENTINFO_DATEINAME_INVALID`, `ATTACHMENTINFO_DATEITYP_INVALID`, `ATTACHMENTINFO_ANLAGETYP_INVALID`, `ATTACHMENTINFO_DATEIHASH_INVALID`
        `FusException` - `SV_NUMMER_INVALID`, `KVT_INVALID`, `NO_ANSPRUCH_FOUND`, `KURATIVER_VERTRAG_FOUND_FOR_VPNR`, `VPNR_WITH_FACHGEBIET_WITH_FORMULARTYP_INVALID`, `TREATMENT_DATE_TO_OLD`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_WP`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### relevanteWpFachgebieteErmitteln

          String[] relevanteWpFachgebieteErmitteln(String dialogId)
                                            throws FusException,
                                                   AccessException,
                                                   DialogException,
                                                   ServiceException

      Dient zur Ermittlung der relevanten Wahlbehandlerfachgebiete für die Erfassung von Formulardaten durch den Wahlbehandler.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE` und `FUS_WP`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
      Returns:
        Liste der Codewerte der relevanten Fachgebiete.
      Throws:
        `FusException` - `INTERNAL_ERROR`,
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_WP`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### ekvFormularErfassen

          Formular ekvFormularErfassen(String dialogId,
                                       EkvErstformular ekvErstformular)
                                throws FusInvalidParameterException,
                                       FusException,
                                       AccessException,
                                       DialogException,
                                       ServiceException

      Dient zur Erfassung von EKV-Formulardaten durch den Vertragspartner inklusive Anlagen. Die Anlagen selbst müssen über ATS gesendet werden.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE` und `FUS_EK`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `ekvErstformular` - Beinhaltet die Eingangsdaten zur Erfassung des EKV-Formulars, siehe `EkvErstformular`.
        Angabe: Muss.
      Returns:
        Das erfasste Formular, siehe `Formular`.
      Throws:
        `FusInvalidParameterException` - `FORMULAR_SPECIFIC_DATA_WITH_FORMULARTYP_INCONSISTENT`, `ANLAGEN_OR_METADATEN_FORBIDDEN`, `EKVERSTFORMULAR_REQUIRED`, `EKV_NAME_REQUIRED`, `EKV_NAME_WRONG_FORMAT`, `EKV_VORNAME_REQUIRED`, `EKV_VORNAME_WRONG_FORMAT`, `EKV_GEBURTSDATUM_WRONG_FORMAT`, `EKV_GEBURTSDATUM_INVALID`, `EKV_PERS_KENNNUMMER_WRONG_FORMAT`, `EKV_KVT_KENNNUMMER_WRONG_FORMAT`, `EKV_KVT_AKRONYM_WRONG_FORMAT`, `EKV_KARTENNUMMER_WRONG_FORMAT`, `EKV_ABLAUFDATUM_WRONG_FORMAT`, `EKV_GESCHLECHT_INVALID`, `EKV_STAAT_WRONG_FORMAT`, `EKV_STAAT_INVALID`, `ATTACHMENTINFO_REQUIRED`, `ATTACHMENTINFO_ANZAHL_DATEIINFO_INVALID`, `ATTACHMENTINFO_DATEIINFO_NAME_NOT_UNIQUE`, `ZIP_ARCHIVE_GESAMTGROESSE_INVALID`, `ANLAGE_DATEIGROESSE_INVALID`, `ATTACHMENTINFO_DATEIINFO_REQUIRED`, `ATTACHMENTINFO_DATEIINFO_NAME_EXTENSION_TYP_REQUIRED`, `ATTACHMENTINFO_DATEINAME_INVALID`, `ATTACHMENTINFO_DATEITYP_INVALID`, `ATTACHMENTINFO_ANLAGETYP_INVALID`, `ATTACHMENTINFO_DATEIHASH_INVALID`
        `FusException` - `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_EK`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### eigeneFormulareAbfragen

          Formularreferenz[] eigeneFormulareAbfragen(String dialogId,
                                                     String svNummer,
                                                     String vorname,
                                                     String zuname,
                                                     String formularKennung,
                                                     String formulartyp,
                                                     String verordnungstyp,
                                                     String formularstatus,
                                                     String anlagenstatus,
                                                     String erstelldatumVon,
                                                     String erstelldatumBis,
                                                     Boolean nurKorrigierbare)
                                              throws FusInvalidParameterException,
                                                     FusException,
                                                     AccessException,
                                                     DialogException,
                                                     ServiceException

      Entsprechend den angegebenen Suchkriterien werden aus der Datenbank die Metainformationen zu den erstellten Formularen, nach Behandlungsdatum der gebundenen Konsultation sortiert, retourniert. Es werden immer nur Daten zum zuletzt erstellten Formular zurückgeliefert (d.h. die letzte Formularversion bei Vorhandensein ein oder mehrerer Korrekturformulare).

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Kann.
        `vorname` - Vorname des Patienten.
        Format: max. 70-stellig
        Angabe: Kann.
        `zuname` - Zuname des Patienten.
        Format: max. 70-stellig
        Angabe: Kann.
        `formularKennung` - Eindeutige Kennung in Verbindung mit der VSNR.
        Angabe: Kann.
        Format: 6-stellig bzw. 9 stellig
        `formulartyp` - Es sollen nur Formulare mit dem angegebenen Formulartyp ermittelt werden.
        Mögliche Werte: siehe `FormulartypConstants`.
        Angabe: Kann.
        `verordnungstyp` - Es sollen nur Formulare mit dem angegebenen Verordnungstyp ermittelt werden.
        Mögliche Werte: siehe value von `voTypenAbfragen`.
        Angabe: Kann.
        `formularstatus` - Es sollen nur Formulare mit dem angegebenen Formularstatus ermittelt werden.
        Mögliche Werte: siehe `FormularstatusConstants`.
        Angabe: Kann.
        `anlagenstatus` - Status der Übertragung einer Anlage.
        Mögliche Werte: siehe `AnlagenstatusConstants`.
        Angabe: Kann.
        `erstelldatumVon` - Es sollen nur Formulare ermittelt werden, die nach dem angegebenen Datum erzeugt wurden.
        Format: TT.MM.JJJJ
        Angabe: Kann.
        `erstelldatumBis` - Es sollen nur Formulare ermittelt werden, die vor dem angegebenen Datum erzeugt wurden.
        Format: TT.MM.JJJJ
        Angabe: Kann.
        `nurKorrigierbare` - Angabe, ob Korrektur möglich ist.
        Angabe: Kann.
        Defaultwert: false
      Returns:
        Liste von Formularreferenzen, die den angegebenen Suchkriterien entsprechen, siehe `Formularreferenz`.
      Throws:
        `FusInvalidParameterException` - `SV_NUMMER_INVALID`, `SV_NUMMER_INVALID2`, `FAMNAME_WRONG_FORMAT`, `VORNAME_WRONG_FORMAT`, `FORMULARTYP_INVALID`, `FORMULARKENNUNG_WRONG_FORMAT`, `FORMULARKENNUNG_WRONG_FORMAT2`, `ANLAGENSTATUS_INVALID`, `ERSTELLZEITPUNKT_VON_WRONG_FORMAT`, `ERSTELLZEITPUNKT_VON_INVALID`, `ERSTELLZEITPUNKT_BIS_WRONG_FORMAT`, `ERSTELLZEITPUNKT_BIS_INVALID`, `ERSTELLZEITPUNKT_BIS_INVALID2`
        `FusException` - `VERORDNUNGSTYP_INVALID`, `FORMULARSTATUS_INVALID`, `SUCHKRITERIEN_NO_MATCHING_FORMULARE_FOUND`, `MAX_RESULTS_EXCEEDED`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### formularAbfragen

          Formular formularAbfragen(String dialogId,
                                    String formularCodePrefix)
                             throws FusInvalidParameterException,
                                    FusException,
                                    AccessException,
                                    DialogException,
                                    ServiceException

      Zu dem gewählten Formular werden aus der Datenbank die Detailinformationen (insbes. die medizinischen Formulardaten) inklusive der Dateiinformationen zu hinzugefügten Anlagen aus der Datenbank geladen und retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `formularCodePrefix` - Eindeutiger, gemeinsamer Identifikator für alle Versionen eines Formulars.
        Setzt sich für Formulare ungleich `EKV` zusammen aus der "Formular-Kennung" und der "VSNR" des Patienten.
        Für Formulare gleich `EKV` besteht der FormularCodePrefix nur aus der 9 stelligen Formular-Kennung.
        Format: <Formularcode-Kennung (6-stellig)>_<VSNR (10-stellig)> bzw. <Formularcode-Kennung (9-stellig)>
        Angabe: Muss.
      Returns:
        Das gefundene Formular, siehe `Formular`.
      Throws:
        `FusInvalidParameterException` - `FORMULARCODE_PREFIX_REQUIRED`, `FORMULARCODE_PREFIX_WRONG_FORMAT`
        `FusException` - `NO_MATCHING_FORMULAR_FOUND`, `NO_MATCHING_FORMULAR_FOUND1`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### korrekturSenden

          Formular korrekturSenden(String dialogId,
                                   Korrekturformular korrekturformular,
                                   String formularCodePrefix)
                            throws FusInvalidParameterException,
                                   FusException,
                                   AccessException,
                                   DialogException,
                                   ServiceException

      Zu einem existierenden, bereits im eCard-System gespeicherten Formular, kann eine Korrektur auf eine der folgenden Arten erstellt werden, wenn der Zeitraum zum Erstellen von Korrekturen noch nicht überschritten ist.
      - Neuerfassung des Formulars mit oder ohne Attachments
      - Hinzufügen von weiteren Attachments zu einem bereits gespeicherten Formular
      Für VO Formulare ist eine Rückantwort Vorraussetzung um eine Korrektur zu erfassen. Es kann je Rückantwort nur eine Korrektur erfasst werden und der Formularstatus muss gleich `R` sein.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `korrekturformular` - Beinhaltet die Eingangsdaten zur Korrektur eines Formulars durch den Benutzer, siehe `Korrekturformular`.
        Angabe: Muss.
        `formularCodePrefix` - Eindeutiger, gemeinsamer Identifikator für alle Versionen eines Formulars.
        Setzt sich für Formulare ungleich `EKV` zusammen aus der "Formular-Kennung" und der "VSNR" des Patienten.
        Für Formulare gleich `EKV` besteht der FormularCodePrefix nur aus der 9 stelligen Formular-Kennung.
        Format: <Formularcode-Kennung (6-stellig)>_<VSNR (10-stellig)> bzw. <Formularcode-Kennung (9-stellig)>
        Angabe: Muss.
      Returns:
        Das erfasste Formular, siehe `Formular`.
      Throws:
        `FusInvalidParameterException` - `FORMULAR_SPECIFIC_DATA_WITH_FORMULARTYP_INCONSISTENT`, `FORMULAR_SPECIFIC_DATA_WITH_KORREKTURART_INCONSISTENT`, `ANLAGEN_WITH_KORREKTURART_INCONSISTENT`, `KORREKTURFORMULAR_REQUIRED`, `FORMULARTYP_REQUIRED`, `FORMULARTYP_INVALID`, `FORMULARCODE_PREFIX_REQUIRED`, `FORMULARCODE_PREFIX_WRONG_FORMAT`, `KORREKTURART_REQUIRED`, `KORREKTURART_INVALID`, `KORREKTURART_INVALID2`, `BIB_IOTN_BIB_REQUIRED`, `BIB_IOTN_BIB_INVALID`, `BIB_LOKALISATION_FEHLBILDUNG_INVALID`, `BIB_LOKALISATION_FEHLBILDUNG_INVALID2`, `BIB_INDIKATION_REQUIRED`, `BIB_INDIKATION_INVALID`, `BIB_INDIKATION_INVALID2`, `BIB_BEHANDLUNGSPLAN_REQUIRED`, `BIB_BEHANDLUNGSPLAN_WRONG_FORMAT`, `BIB_ERFOLGSANNAHME_REQUIRED`, `BIB_ERFOLGSANNAHME_WRONG_FORMAT`, `BIB_EINGLIEDERUNG_WRONG_FORMAT`, `BIB_EINGLIEDERUNG_INVALID`, `BIB_BEFUNDDATUM_REQUIRED`, `BIB_BEFUNDDATUM_WRONG_FORMAT`, `BIB_BEFUNDDATUM_INVALID`, `BKI_IOTN_BKI_REQUIRED`, `BKI_IOTN_BKI_INVALID`, `BKI_LOKALISATION_FEHLBILDUNG_INVALID`, `BKI_LOKALISATION_FEHLBILDUNG_INVALID2`, `BKI_MED_ANGABE_WRONG_FORMAT`, `BKI_EINGLIEDERUNG_WRONG_FORMAT`, `BKI_EINGLIEDERUNG_INVALID`, `BKI_BEFUNDDATUM_REQUIRED`, `BKI_BEFUNDDATUM_WRONG_FORMAT`, `BKI_BEFUNDDATUM_INVALID`, `RIB_GRUND_REQUIRED`, `RIB_GRUND_WRONG_FORMAT`, `RKB_GRUND_REQUIRED`, `RKB_GRUND_WRONG_FORMAT`, `AIB_BEHANDLUNGSENDE_REQUIRED`, `AIB_BEHANDLUNGSENDE_WRONG_FORMAT`, `AIB_BEHANDLUNGSENDE_INVALID`, `AIB_MED_ANGABEN_ENDE_WRONG_FORMAT`, `AKB_BEHANDLUNGSENDE_REQUIRED`, `AKB_BEHANDLUNGSENDE_WRONG_FORMAT`, `AKB_BEHANDLUNGSENDE_INVALID`, `AKB_ENDE_GRUND_WRONG_FORMAT`, `AKB_MED_ANGABEN_FORMAT`, `EKV_NAME_REQUIRED`, `EKV_NAME_WRONG_FORMAT`, `EKV_VORNAME_REQUIRED`, `EKV_VORNAME_WRONG_FORMAT`, `EKV_GEBURTSDATUM_WRONG_FORMAT`, `EKV_GEBURTSDATUM_INVALID`, `EKV_PERS_KENNNUMMER_WRONG_FORMAT`, `EKV_KVT_KENNNUMMER_WRONG_FORMAT`, `EKV_KVT_AKRONYM_WRONG_FORMAT`, `EKV_KARTENNUMMER_WRONG_FORMAT`, `EKV_ABLAUFDATUM_WRONG_FORMAT`, `EKV_GESCHLECHT_INVALID`, `EKV_STAAT_WRONG_FORMAT`, `EKV_STAAT_INVALID`, `VO_DATUM_REQUIRED`, `VO_DATUM_WRONG_FORMAT`, `VO_DATUM_INVALID`, `VO_NOTIZ_WRONG_FORMAT`, `VO_TELEFONNUMMER_WRONG_FORMAT`, `VO_TELEFONNUMMER_INVALID`, `VO_EMAILADRESSE_WRONG_FORMAT`, `VO_EMAILADRESSE_INVALID`, `VO_BEWILLIGUNGSTYP_REQUIRED`, `VO_BEWILLIGUNGSTYP_INVALID`, `ATTACHMENTINFO_REQUIRED`, `ATTACHMENTINFO_ANZAHL_DATEIINFO_INVALID`, `ATTACHMENTINFO_DATEIINFO_NAME_NOT_UNIQUE`, `ZIP_ARCHIVE_GESAMTGROESSE_INVALID`, `ANLAGE_DATEIGROESSE_INVALID`, `ATTACHMENTINFO_DATEIINFO_REQUIRED`, `ATTACHMENTINFO_DATEIINFO_NAME_EXTENSION_TYP_REQUIRED`, `ATTACHMENTINFO_DATEINAME_INVALID`, `ATTACHMENTINFO_DATEITYP_INVALID`, `ATTACHMENTINFO_ANLAGETYP_INVALID`, `ATTACHMENTINFO_DATEIHASH_INVALID`
        `FusException` - `NO_MATCHING_FORMULAR_FOUND`, `NO_MATCHING_FORMULAR_FOUND1`, `NO_MATCHING_FORMULAR_FOUND2`, `FORMULAR_KORREKTUR_NO_LONGER_POSSIBLE`, `FORMULAR_SAVING_FAILED`, `KORREKTUR_MISSING_PROPER_RIGHT`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### formularinfoErmitteln

          Formularinfo[] formularinfoErmitteln(String dialogId,
                                               String formulartyp)
                                        throws FusInvalidParameterException,
                                               AccessException,
                                               DialogException,
                                               ServiceException

      Ermittelt zu einem bestimmten Formular die Information, ob das Formular die Angabe von Anlagen zulässt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `formulartyp` - Gibt den Typ des Formulars an, für den die Formularinformation ermittelt werden soll.
        Mögliche Werte: siehe `FormulartypConstants`.
        Angabe: Kann.
      Returns:
        Liste von Formularinfos, die den angegebenen Suchkriterien entsprechen, siehe `Formularinfo`.
      Throws:
        `FusInvalidParameterException` - `FORMULARTYP_INVALID`
        `FusException` - `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### voFormularerfassungPruefen

          VoFormularerfassungPruefenErgebnis voFormularerfassungPruefen(String dialogId,
                                                                        String cardToken,
                                                                        String svNummer,
                                                                        String kvt,
                                                                        String verordnungstyp)
                                                                 throws FusInvalidParameterException,
                                                                        FusException,
                                                                        AccessException,
                                                                        DialogException,
                                                                        ServiceException,
                                                                        PatientServiceException

      Die Patientendaten und der KVT werden ermittelt. Anhand der Eingangsdaten wird überprüft, ob laut dem FUS-Regelwerk eine Formularerfassung möglich ist.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `FUS_CORE` und `FUS_VO`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `svNummer` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `verordnungstyp` - Verordnungstyp für den das Verordnungsformular erfasst wird.
        Mögliche Werte: siehe value von `voTypenAbfragen`.
        Angabe: Muss.
        `kvt` - Leistungszuständiger KV-Träger des Patienten.
        Mögliche Werte: siehe `getSVTs`.
        Angabe: Kann.
      Returns:
        Ergebnis der positiv durchgeführten Prüfung der Formularerfassung, siehe `VoFormularerfassungPruefenErgebnis`.
      Throws:
        `FusInvalidParameterException` - `SV_NUMMER_OR_ECARD_REQUIRED`, `SV_NUMMER_INVALID`, `KVT_INVALID`
        `FusException` - `VERORDNUNGSTYP_REQUIRED`, `VERORDNUNGSTYP_INVALID`, `VERORDNUNGSTYP_MISSING_RIGHT`, `NO_VERTRAG_FOR_KVT`, `SV_NUMMER_INVALID`, `NO_ANSPRUCH_FOR_VERORDNUNGSTYP`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_VO`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `PatientServiceException` - `NO_VALID_ANSPRUCH`, `CHOOSE_ANSPRUCH_1`, `CHOOSE_ANSPRUCH_2`, `MEHRFACHVERSICHERT_INSERT_KVT_1`, `MEHRFACHVERSICHERT_INVALID_CHOOSEN_1`, `MEHRFACHVERSICHERT_INVALID_CHOOSEN_2`, `MEHRFACHVERSICHERT_INSERT_KVT_2`

    - #### voFormularErfassen

          Formular voFormularErfassen(String dialogId,
                                      String cardToken,
                                      VoErstformular voErstformular)
                               throws FusInvalidParameterException,
                                      FusException,
                                      AccessException,
                                      DialogException,
                                      ServiceException,
                                      PatientServiceException

      Dient zur Erfassung von VO-Formulardaten durch den Vertragspartner inklusive Anlagen. Die Anlagen selbst müssen über ATS gesendet werden.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE` und `FUS_VO`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt. Es muss entweder in `erstformular` eine `svNummer` oder in der Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `voErstformular` - Beinhaltet die Eingangsdaten zur Erfassung des VO-Formulars, siehe `VoErstformular`.
        Angabe: Muss.
      Returns:
        Das erfasste Formular, siehe `Formular`.
      Throws:
        `FusInvalidParameterException` - `FORMULAR_SPECIFIC_DATA_WITH_FORMULARTYP_INCONSISTENT`, `ANLAGEN_OR_METADATEN_FORBIDDEN`, `VOERSTFORMULAR_REQUIRED`, `SV_NUMMER_OR_ECARD_REQUIRED`, `SV_NUMMER_INVALID`, `KVT_INVALID`, `VO_DATUM_REQUIRED`, `VO_DATUM_WRONG_FORMAT`, `VO_DATUM_INVALID`, `VO_NOTIZ_WRONG_FORMAT`, `VO_TELEFONNUMMER_WRONG_FORMAT`, `VO_TELEFONNUMMER_INVALID`, `VO_EMAILADRESSE_WRONG_FORMAT`, `VO_EMAILADRESSE_INVALID`, `VO_BEWILLIGUNGSTYP_REQUIRED`, `VO_BEWILLIGUNGSTYP_INVALID`, `ATTACHMENTINFO_REQUIRED`, `ATTACHMENTINFO_ANZAHL_DATEIINFO_INVALID`, `ATTACHMENTINFO_DATEIINFO_NAME_NOT_UNIQUE`, `ZIP_ARCHIVE_GESAMTGROESSE_INVALID`, `ANLAGE_DATEIGROESSE_INVALID`, `ATTACHMENTINFO_DATEIINFO_REQUIRED`, `ATTACHMENTINFO_DATEIINFO_NAME_EXTENSION_TYP_REQUIRED`, `ATTACHMENTINFO_DATEINAME_INVALID`, `ATTACHMENTINFO_DATEITYP_INVALID`, `ATTACHMENTINFO_ANLAGETYP_INVALID`, `ATTACHMENTINFO_DATEIHASH_INVALID`
        `FusException` - `VERORDNUNGSTYP_REQUIRED`, `VERORDNUNGSTYP_INVALID`, `VERORDNUNGSTYP_MISSING_RIGHT`, `NO_VERTRAG_FOR_KVT`, `SV_NUMMER_INVALID`, `NO_ANSPRUCH_FOR_VERORDNUNGSTYP`, `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_VO`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `PatientServiceException` - `NO_VALID_ANSPRUCH`, `KVT_UEBERSTEUERT_1`, `KVT_UEBERSTEUERT_2`, `CHOOSE_ANSPRUCH_1`, `CHOOSE_ANSPRUCH_2`, `MEHRFACHVERSICHERT_INSERT_KVT_1`, `MEHRFACHVERSICHERT_INVALID_CHOOSEN_1`, `MEHRFACHVERSICHERT_INVALID_CHOOSEN_2`, `MEHRFACHVERSICHERT_INSERT_KVT_2`

    - #### voTypenAbfragen

          Verordnungstyp[] voTypenAbfragen(String dialogId,
                                           boolean erfassbar,
                                           Boolean rechteVorhanden)
                                    throws FusException,
                                           AccessException,
                                           DialogException,
                                           ServiceException

      Dient zur Ermittlung der Verordnungstypen für die Erfassung von VO Formulardaten.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt das Recht `FUS_CORE` und `FUS_VO`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `erfassbar` - Wenn false, werden alle Verordnungstypen retourniert, auch die aktuell nicht aktiven. Der Parameter rechteVorhanden wird in diesem Fall bei der Ermittlung ignoriert.
        Wenn true, werden nur die aktuell aktiven Verordnungstypen retourniert. Diese werden je nach Auswahl vom Parameter rechteVorhanden weiter eingeschränkt.
        Angabe: Muss.
        `rechteVorhanden` - Dieser Parameter wird nur berücksichtigt wenn der Parameter "erfassbar" mit true angegeben wurde. Wenn false, erfolgt keine Einschränkung der generell erfassbaren Verordnungstypen auf diejenigen, zu denen der Vertragspartner im Dialog auch das zugehörige Recht besitzt.
        Wenn true, werden nur Verordnungstypen retourniert, für die der angemeldete Dialog die passenden Rechte hat.
        Das für einen Verordnungstyp benötigte Recht setzt sich wie folgt zusammen: `FUS.VO`_<Verordnungstyp>
        Defaultwert: false
        Angabe: Kann. Wird ignoriert, wenn erfassbar gleich false.
      Returns:
        Liste der Verordnungstypen.
      Throws:
        `FusException` - `INTERNAL_ERROR`
        `AccessException` - `MISSING_FUS_CORE`, `MISSING_FUS_VO`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`